# $Id: mjpegtools.spec,v 1.1 2004/04/05 14:30:32 rexdieter Exp $

Summary: Tools to manipulate MPEG data
Name: 	 mjpegtools
Epoch:	 0
Version: 1.6.1
Release: 0.lvn.6%{?dist_tag}
License: GPL
Group: 	 Applications/Multimedia
URL: 	 http://mjpeg.sourceforge.net/
Source:  http://download.sourceforge.net/mjpeg/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0: mjpegtools-1.6.1-gcc33.patch
Patch1: mjpegtools-assy.diff

BuildRequires:	libjpeg-devel XFree86-devel nasm libdv-devel
BuildRequires:	glib-devel >= 0:1.2.0
BuildRequires:	gtk+-devel >= 0:1.2.0
BuildRequires:	SDL-devel >= 0:1.1.3
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description
The mjpeg programs are a set of tools that can do recording of videos
and playback, simple cut-and-paste editing and the MPEG compression of
audio and video under Linux.

%package libs
Summary: Libraries used by mjpegtools
Group:	 System Environment/Libraries
%description libs
The mjpeg programs are a set of tools that can do recording of videos
and playback, simple cut-and-paste editing and the MPEG compression of
audio and video under Linux.
This package contains libraries used by mjpegtools

%package devel
Summary:	Development files for mjpegtools libraries 
Group:		Environment/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
%description devel
The mjpeg programs are a set of tools that can do recording of videos
and playback, simple cut-and-paste editing and the MPEG compression of
audio and video under Linux.


%prep 
%setup -q

%patch0 -p1 -b .gcc33
%patch1 -p0 -b .assy

#---------------------------------------------------------------------

%build
%ifarch i686 athlon
%configure --enable-cmov-extension --enable-simd-accel
%else
%configure --disable-cmov-extension --disable-simd-accel
%endif
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
#makeinstall
make install DESTDIR=$RPM_BUILD_ROOT

#---------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING CHANGES ChangeLog AUTHORS BUGS NEWS TODO
%exclude %{_bindir}/mjpegtools-config
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/yuv4mpeg.5*

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/lib*.la
%{_bindir}/mjpegtools-config
%{_includedir}/%{name}
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc

#---------------------------------------------------------------------


%changelog
* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:1.6.1-0.fdr.6
- Removed comment after scriptlets

* Fri Aug 22 2003 Dams <anvil[AT]livna.org> 0:1.6.1-0.fdr.5
- buildroot -> RPM_BUILD_ROOT

* Sun Aug 10 2003 Dams <anvil[AT]livna.org> 0:1.6.1-0.fdr.4
- Applied upstream patches to fix build on gcc3.3 systems

* Tue Apr 29 2003 Dams <anvil[AT]livna.org> 0:1.6.1-0.fdr.3
- Now test arch for configure options (from Ville)
- Removed ImageMagick-devel BuildRequires

* Sun Apr 27 2003 Dams <anvil[AT]livna.org> 0:1.6.1-0.fdr.2
- Added missing BuildRequires 
- Added post/postun scriplets for libs package

* Wed Apr 23 2003 Dams <anvil[AT]livna.org> 
- Initial build.
